import acm.program.*;

/* A program that computes the average of a list of numbers. */
public class VeryMeanProgram extends ConsoleProgram {
	/* The sentinel value: when this is entered, we're done! */
	private static final int SENTINEL = -1;
	
	public void run() {
		int total = 0;
		int numValues = 0;
		
		while (true) {
			/* Get the next value, stopping if it's the sentinel. */
			int nextValue = readInt("Enter next value, or " + SENTINEL + " to finish: ");
			if (nextValue == SENTINEL) {
				break;
			}
			
			/* Factor this into the totals. */
			total += nextValue;
			numValues++;
		}
	
		/* Handle an edge case where the user entered no values. */	
		if (numValues == 0) {
			println("You silly goose, you typed in no numbers.");
		} else {
			/* Note the typecast to ensure that we don't do integer division. */
			double average = (double)total / numValues;
			println("The average is " + average);
		}
	}
}
